Pular para o conteúdo principal
PUT
/
automation
/
2026-09-beta
/
flows
/
{flowId}
Update workflow
curl --request PUT \
  --url https://api.hubapi.com/automation/2026-09-beta/flows/{flowId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "CONTACT_FLOW",
  "revisionId": "<string>",
  "isEnabled": true,
  "actions": [
    {
      "actionId": "<string>",
      "inputValue": {
        "actionId": "<string>",
        "dataKey": "<string>",
        "type": "FIELD_DATA"
      },
      "staticBranches": [
        {
          "branchValue": "<string>"
        }
      ],
      "type": "STATIC_BRANCH",
      "defaultBranchName": "<string>"
    }
  ],
  "timeWindows": [
    {
      "day": "FRIDAY"
    }
  ],
  "blockedDates": [
    {
      "dayOfMonth": 123,
      "month": "APRIL",
      "year": 123
    }
  ],
  "customProperties": {},
  "suppressionListIds": [
    123
  ],
  "canEnrollFromSalesforce": true,
  "name": "<string>",
  "description": "<string>",
  "uuid": "<string>",
  "startActionId": "<string>",
  "enrollmentCriteria": {
    "listFilterBranch": {
      "filterBranchOperator": "<string>",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            "<unknown>"
          ]
        }
      ],
      "filters": [
        {
          "filterType": "PROPERTY",
          "operation": "<unknown>",
          "property": "<string>"
        }
      ]
    },
    "reEnrollmentTriggersFilterBranches": [
      {
        "filterBranchOperator": "<string>",
        "filterBranchType": "AND",
        "filterBranches": "<array>",
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": "<unknown>",
            "property": "<string>"
          }
        ]
      }
    ],
    "shouldReEnroll": true,
    "type": "LIST_BASED",
    "unEnrollObjectsNotMeetingCriteria": true
  },
  "enrollmentSchedule": {
    "timeOfDay": {
      "hour": 123,
      "minute": 123
    },
    "type": "DAILY"
  },
  "goalFilterBranch": {
    "filterBranchOperator": "<string>",
    "filterBranchType": "OR",
    "filterBranches": [
      {
        "filterBranchOperator": "<string>",
        "filterBranchType": "AND",
        "filterBranches": "<array>",
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": "<unknown>",
            "property": "<string>"
          }
        ]
      }
    ],
    "filters": [
      {
        "filterType": "PROPERTY",
        "operation": {
          "includeObjectsWithNoValueSet": true,
          "operationType": "BOOL",
          "operator": "<string>",
          "value": true
        },
        "property": "<string>"
      }
    ]
  },
  "eventAnchor": {
    "contactProperty": "<string>",
    "type": "CONTACT_PROPERTY_ANCHOR"
  }
}
'
{
  "type": "CONTACT_FLOW",
  "id": "<string>",
  "isEnabled": true,
  "flowType": "WORKFLOW",
  "revisionId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "nextAvailableActionId": "<string>",
  "actions": [
    {
      "actionId": "<string>",
      "inputValue": {
        "actionId": "<string>",
        "dataKey": "<string>",
        "type": "FIELD_DATA"
      },
      "staticBranches": [
        {
          "branchValue": "<string>",
          "connection": {
            "edgeType": "GOTO",
            "nextActionId": "<string>"
          }
        }
      ],
      "type": "STATIC_BRANCH",
      "defaultBranch": {
        "edgeType": "GOTO",
        "nextActionId": "<string>"
      },
      "defaultBranchName": "<string>"
    }
  ],
  "timeWindows": [
    {
      "day": "FRIDAY",
      "endTime": {
        "hour": 123,
        "minute": 123
      },
      "startTime": {
        "hour": 123,
        "minute": 123
      }
    }
  ],
  "blockedDates": [
    {
      "dayOfMonth": 123,
      "month": "APRIL",
      "year": 123
    }
  ],
  "customProperties": {},
  "dataSources": [
    {
      "associationCategory": "HUBSPOT_DEFINED",
      "associationTypeId": 123,
      "name": "<string>",
      "objectTypeId": "<string>",
      "type": "ASSOCIATION",
      "sortBy": {
        "order": "ASC",
        "property": "<string>",
        "missing": "<string>"
      }
    }
  ],
  "crmObjectCreationStatus": "PENDING",
  "suppressionListIds": [
    123
  ],
  "canEnrollFromSalesforce": true,
  "objectTypeId": "<string>",
  "name": "<string>",
  "description": "<string>",
  "uuid": "<string>",
  "startActionId": "<string>",
  "enrollmentCriteria": {
    "listFilterBranch": {
      "filterBranchOperator": "<string>",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            "<unknown>"
          ]
        }
      ],
      "filters": [
        {
          "filterType": "PROPERTY",
          "operation": "<unknown>",
          "property": "<string>"
        }
      ]
    },
    "reEnrollmentTriggersFilterBranches": [
      {
        "filterBranchOperator": "<string>",
        "filterBranchType": "AND",
        "filterBranches": "<array>",
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": "<unknown>",
            "property": "<string>"
          }
        ]
      }
    ],
    "shouldReEnroll": true,
    "type": "LIST_BASED",
    "unEnrollObjectsNotMeetingCriteria": true
  },
  "enrollmentSchedule": {
    "timeOfDay": {
      "hour": 123,
      "minute": 123
    },
    "type": "DAILY"
  },
  "goalFilterBranch": {
    "filterBranchOperator": "<string>",
    "filterBranchType": "OR",
    "filterBranches": [
      {
        "filterBranchOperator": "<string>",
        "filterBranchType": "AND",
        "filterBranches": "<array>",
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": "<unknown>",
            "property": "<string>"
          }
        ]
      }
    ],
    "filters": [
      {
        "filterType": "PROPERTY",
        "operation": {
          "includeObjectsWithNoValueSet": true,
          "operationType": "BOOL",
          "operator": "<string>",
          "value": true
        },
        "property": "<string>"
      }
    ]
  },
  "eventAnchor": {
    "contactProperty": "<string>",
    "type": "CONTACT_PROPERTY_ANCHOR"
  },
  "unEnrollmentSetting": {
    "flowIds": [
      "<string>"
    ],
    "type": "ALL"
  }
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

flowId
string
obrigatório

The unique identifier of the flow to update.

Corpo

application/json
type
enum<string>
padrão:CONTACT_FLOW
obrigatório
Opções disponíveis:
CONTACT_FLOW,
PLATFORM_FLOW
revisionId
string
obrigatório
isEnabled
boolean
obrigatório
actions
(STATIC_BRANCH · object | LIST_BRANCH · object | AB_TEST_BRANCH · object | CUSTOM_CODE · object | WEBHOOK · object | SINGLE_CONNECTION · object)[]
obrigatório
timeWindows
object[]
obrigatório
blockedDates
object[]
obrigatório
customProperties
object
obrigatório
suppressionListIds
integer<int32>[]
obrigatório
canEnrollFromSalesforce
boolean
obrigatório
name
string
description
string
uuid
string
startActionId
string
enrollmentCriteria
LIST_BASED · object
enrollmentSchedule
DAILY · object
goalFilterBranch
OR · object
eventAnchor
CONTACT_PROPERTY_ANCHOR · object
unEnrollmentSetting
object

Resposta

successful operation

type
enum<string>
padrão:CONTACT_FLOW
obrigatório
Opções disponíveis:
CONTACT_FLOW,
PLATFORM_FLOW
id
string
obrigatório
isEnabled
boolean
obrigatório
flowType
enum<string>
obrigatório
Opções disponíveis:
WORKFLOW,
ACTION_SET,
UNKNOWN
revisionId
string
obrigatório
createdAt
string<date-time>
obrigatório
updatedAt
string<date-time>
obrigatório
nextAvailableActionId
string
obrigatório
actions
(STATIC_BRANCH · object | LIST_BRANCH · object | AB_TEST_BRANCH · object | CUSTOM_CODE · object | WEBHOOK · object | SINGLE_CONNECTION · object)[]
obrigatório
timeWindows
object[]
obrigatório
blockedDates
object[]
obrigatório
customProperties
object
obrigatório
dataSources
(ASSOCIATION · object | ASSOCIATION_TIMESTAMP · object | STATIC_PROPERTY_FILTER · object | ENROLLED_RECORD_PROPERTY_FILTER · object | DATASET_FIELD_PROPERTY_FILTER · object | ENROLLED_ARGUMENT_PROPERTY_FILTER · object)[]
obrigatório
crmObjectCreationStatus
enum<string>
obrigatório
Opções disponíveis:
PENDING,
COMPLETE
suppressionListIds
integer<int32>[]
obrigatório
canEnrollFromSalesforce
boolean
obrigatório
objectTypeId
string
obrigatório
name
string
description
string
uuid
string
startActionId
string
enrollmentCriteria
LIST_BASED · object
enrollmentSchedule
DAILY · object
goalFilterBranch
OR · object
eventAnchor
CONTACT_PROPERTY_ANCHOR · object
unEnrollmentSetting
object
Last modified on April 13, 2026